<project name="LearningFlex" basedir="." default="build">
  <property environment="env"/>
  <property name="FLEX_HOME" value="${env.FLEX_HOME}"/>
  <property name="FLEXUNIT_HOME" value="${env.FLEXUNIT_HOME}"/>
  <taskdef resource="flexTasks.tasks" classpath="${env.FLEX_HOME}/ant/lib/flexTasks.jar"/>
  <target name="build">
    <mxmlc as3="true" file="./01-flickr/FlickrRIA.mxml"/>
    <mxmlc as3="true" file="./01-flickr/FlickrThumbnail.mxml"/>
    <mxmlc as3="true" file="./02-shipping/PlainText.mxml"/>
    <mxmlc as3="true" file="./03a1-binding-and-modeling/YahooWeather.mxml"/>
    <mxmlc as3="true" file="./03a2-crud-dynamic/CRUDDynamic.mxml"/>
    <mxmlc as3="true" file="./03a3-crud-static/CRUDStatic.mxml"/>
    <mxmlc as3="true" file="./03a4-external-interface/Main.mxml"/>
    <mxmlc as3="true" file="./03a5-local-connections/BasicTaskReceiver.mxml"/>
    <mxmlc as3="true" file="./03a5-local-connections/TaskSender.mxml"/>
    <mxmlc as3="true" file="./03a6-shared-objects/SharedObjectExample.mxml"/>
    <mxmlc as3="true" file="./03a7-validation-and-formatting/ValidatorsandFormattersExampleWithAreaCodeLookup.mxml"/>
    <mxmlc as3="true" file="./03b-handling-events/TwitterTimeline.mxml"/>
    <mxmlc as3="true" file="./03b1-event-listeners/VBoxDemo.mxml"/>
    <mxmlc as3="true" file="./03b2-event-propagation/DemoApplication.mxml"/>
    <mxmlc as3="true" file="./03b3-simple-ui-event/Example1.mxml"/>
    <mxmlc as3="true" file="./03b3-simple-ui-event/Example2.mxml"/>
    <mxmlc as3="true" file="./03c1-application-container/Demo.mxml"/>
    <mxmlc as3="true" file="./03c2-box-model/HBoxExample.mxml"/>
    <mxmlc as3="true" file="./03c2-box-model/VBoxExample.mxml"/>
    <mxmlc as3="true" file="./03c2-box-model/VBoxHBoxCombo.mxml"/>
    <mxmlc as3="true" file="./03c3-canvas-absolute/Example.mxml"/>
    <mxmlc as3="true" file="./03c4-canvas-relative/Photo.mxml"/>
    <mxmlc as3="true" file="./03c5-combined-layout/Combined.mxml"/>
    <mxmlc as3="true" file="./03c6-form/CommentForm.mxml"/>
    <mxmlc as3="true" file="./03c7-mxml-vs-as3/WithAs3.mxml"/>
    <mxmlc as3="true" file="./03c7-mxml-vs-as3/WithMxml.mxml"/>
    <mxmlc as3="true" file="./03c8-panel/Photo.mxml"/>
    <mxmlc as3="true" file="./03d1-datagrid/DataGridExample.mxml"/>
    <mxmlc as3="true" file="./03d2-item-renderers/HBoxWeatherDisplay.mxml"/>
    <mxmlc as3="true" file="./03d2-item-renderers/WeatherDisplay.mxml"/>
    <mxmlc as3="true" file="./03d3-lists/HorizontalListControl.mxml"/>
    <mxmlc as3="true" file="./03d3-lists/ListControl.mxml"/>
    <mxmlc as3="true" file="./03d4-tilelist/TileListExample.mxml"/>
    <mxmlc as3="true" file="./03e1-accordion/Recipe.mxml"/>
    <mxmlc as3="true" file="./03e2-tabbar-linkbar/LinkBar.mxml"/>
    <mxmlc as3="true" file="./03e2-tabbar-linkbar/TabBarDemo.mxml"/>
    <mxmlc as3="true" file="./03e3-tabnavigator/Shopping.mxml"/>
    <mxmlc as3="true" file="./03e4-viewstack/ViewStackDemo.mxml"/>
    <mxmlc as3="true" file="./03f1-custom-components/MainForm.mxml"/>
    <mxmlc as3="true" file="./03f2-code-behind/CodeBehindDisplay.mxml"/>
    <mxmlc as3="true" file="./03f2-code-behind/CodeExample.mxml"/>
    <mxmlc as3="true" file="./03f3-composite-component/ComponentForm.mxml"/>
    <mxmlc as3="true" file="./03f4-multiple-composite-components/Main.mxml"/>
    <mxmlc as3="true" file="./03f5-mxml/MainForm.mxml"/>
    <mxmlc as3="true" file="./03g1-debugging/Debugging.mxml"/>
    <mxmlc as3="true" file="./custom-03d1-datagrid/Snarf.mxml"/>
    <mxmlc as3="true" file="./custom-03d2-item-renderers/HBoxWeatherDisplay.mxml"/>
    <mxmlc as3="true" file="./custom-03d2-item-renderers/WeatherDisplay.mxml"/>
    <mxmlc as3="true" file="./custom-03d3-lists/ListControl.mxml"/>
    <mxmlc as3="true" file="./custom-03d4-tilelist/TileListExample.mxml"/>
    <mxmlc as3="true" file="./custom-03g1-debugging/Debugging.mxml"/>
    <compc output="./custom-03g1-debugging/me/tests/TestSuite.swf" include-classes="me.tests.TestSuite">
      <sp path-element="./custom-03g1-debugging"/>
      <l dir="${FLEXUNIT_HOME}" append="yes"/>
    </compc>
  </target>
  <target name="clean">
    <delete>
      <fileset dir="${basedir}" casesensitive="yes">
        <patternset id="swf.files">
          <include name="**/*.swf"/>
        </patternset>
        <patternset id="swf.files">
          <include name="**/*.swc"/>
        </patternset>
      </fileset>
    </delete>
  </target>
</project>

